petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerHDF5SetSPOutput

Data is written to disk in single precision even if PETSc is compiled with double precision PetscReal.

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5SetSPOutput(PetscViewer viewer,PetscBool flg)

Logically Collective on PetscViewer Many br

### Input Parameters

| viewer | - the PetscViewer; if it is not hdf5 then this command is ignored Many br
| flg | - if PETSC_TRUE the data will be written to disk with single precision Many br

### Options Database

-viewer_hdf5_sp_output -turns on (true) or off (false) output in single precision Many br

Notes: Setting this option does not make any difference if PETSc is compiled with single precision Many brin the first place. It does not affect reading datasets (HDF5 handle this internally). Many br

Many br

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen(),
PetscReal Many br

Level:intermediate
Location:src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages